Commit 74b5c92b authored by Lars-Peter Clausen's avatar Lars-Peter Clausen Committed by Lars-Peter Clausen

define PyInt_AsSsize_t as PyInt_AsLong if the python version is smaller

2008-09-03  Lars-Peter Clausen  <lars@metafoo.de>

	* plugin-ins/pygimp/pygimp.h: define PyInt_AsSsize_t as PyInt_AsLong
	if the python version is smaller then 2.5.0.
	* configure.in: Lower required python version to 2.4.


svn path=/trunk/; revision=26849
parent 100aadb7
2008-09-03 Lars-Peter Clausen <lars@metafoo.de>
* plugin-ins/pygimp/pygimp.h: define PyInt_AsSsize_t as PyInt_AsLong
if the python version is smaller then 2.5.0.
* configure.in: Lower required python version to 2.4.
2008-09-03 Michael Natterer <mitch@gimp.org>
* app/pdb/gimpprocedure.[ch] (gimp_procedure_set_static_strings):
......
......@@ -31,6 +31,7 @@
typedef int Py_ssize_t;
#define PY_SSIZE_T_MAX INT_MAX
#define PY_SSIZE_T_MIN INT_MIN
#define PyInt_AsSsize_t(o) PyInt_AsLong(o)
#endif
G_BEGIN_DECLS
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment